CMSEnvelopedGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class CMSEnvelopedGenerator

- java.lang.Object
- - org.bouncycastle.cms.CMSEnvelopedGenerator

- Direct Known Subclasses:
    CMSAuthenticatedGenerator, CMSEnvelopedDataGenerator, CMSEnvelopedDataStreamGenerator

      public class CMSEnvelopedGenerator
      extends java.lang.Object

  General class for generating a CMS enveloped-data message.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AES128_CBC`
    `static java.lang.String` | `AES128_WRAP`
    `static java.lang.String` | `AES192_CBC`
    `static java.lang.String` | `AES192_WRAP`
    `static java.lang.String` | `AES256_CBC`
    `static java.lang.String` | `AES256_WRAP`
    `static java.lang.String` | `CAMELLIA128_CBC`
    `static java.lang.String` | `CAMELLIA128_WRAP`
    `static java.lang.String` | `CAMELLIA192_CBC`
    `static java.lang.String` | `CAMELLIA192_WRAP`
    `static java.lang.String` | `CAMELLIA256_CBC`
    `static java.lang.String` | `CAMELLIA256_WRAP`
    `static java.lang.String` | `CAST5_CBC`
    `static java.lang.String` | `DES_EDE3_CBC`
    `static java.lang.String` | `DES_EDE3_WRAP`
    `static java.lang.String` | `ECDH_SHA1KDF`
    `static java.lang.String` | `ECMQV_SHA1KDF`
    `static java.lang.String` | `IDEA_CBC`
    `protected org.bouncycastle.asn1.cms.OriginatorInfo` | `originatorInfo`
    `static java.lang.String` | `RC2_CBC`
    `static java.lang.String` | `SEED_CBC`
    `static java.lang.String` | `SEED_WRAP`
    `protected CMSAttributeTableGenerator` | `unprotectedAttributeGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSEnvelopedGenerator()` base constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRecipientInfoGenerator(RecipientInfoGenerator recipientGenerator)` Add a generator to produce the recipient info required.
    `void` | `setOriginatorInfo(OriginatorInformation originatorInfo)`
    `void` | `setUnprotectedAttributeGenerator(CMSAttributeTableGenerator unprotectedAttributeGenerator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DES_EDE3_CBC

          public static final java.lang.String DES_EDE3_CBC

    - #### RC2_CBC

          public static final java.lang.String RC2_CBC

    - #### IDEA_CBC

          public static final java.lang.String IDEA_CBC

      See Also:
        Constant Field Values

    - #### CAST5_CBC

          public static final java.lang.String CAST5_CBC

      See Also:
        Constant Field Values

    - #### AES128_CBC

          public static final java.lang.String AES128_CBC

    - #### AES192_CBC

          public static final java.lang.String AES192_CBC

    - #### AES256_CBC

          public static final java.lang.String AES256_CBC

    - #### CAMELLIA128_CBC

          public static final java.lang.String CAMELLIA128_CBC

    - #### CAMELLIA192_CBC

          public static final java.lang.String CAMELLIA192_CBC

    - #### CAMELLIA256_CBC

          public static final java.lang.String CAMELLIA256_CBC

    - #### SEED_CBC

          public static final java.lang.String SEED_CBC

    - #### DES_EDE3_WRAP

          public static final java.lang.String DES_EDE3_WRAP

    - #### AES128_WRAP

          public static final java.lang.String AES128_WRAP

    - #### AES192_WRAP

          public static final java.lang.String AES192_WRAP

    - #### AES256_WRAP

          public static final java.lang.String AES256_WRAP

    - #### CAMELLIA128_WRAP

          public static final java.lang.String CAMELLIA128_WRAP

    - #### CAMELLIA192_WRAP

          public static final java.lang.String CAMELLIA192_WRAP

    - #### CAMELLIA256_WRAP

          public static final java.lang.String CAMELLIA256_WRAP

    - #### SEED_WRAP

          public static final java.lang.String SEED_WRAP

    - #### ECDH_SHA1KDF

          public static final java.lang.String ECDH_SHA1KDF

    - #### ECMQV_SHA1KDF

          public static final java.lang.String ECMQV_SHA1KDF

    - #### unprotectedAttributeGenerator

          protected CMSAttributeTableGenerator unprotectedAttributeGenerator

    - #### originatorInfo

          protected org.bouncycastle.asn1.cms.OriginatorInfo originatorInfo

  - ### Constructor Detail

    - #### CMSEnvelopedGenerator

          public CMSEnvelopedGenerator()

      base constructor

  - ### Method Detail

    - #### setUnprotectedAttributeGenerator

          public void setUnprotectedAttributeGenerator(CMSAttributeTableGenerator unprotectedAttributeGenerator)

    - #### setOriginatorInfo

          public void setOriginatorInfo(OriginatorInformation originatorInfo)

    - #### addRecipientInfoGenerator

          public void addRecipientInfoGenerator(RecipientInfoGenerator recipientGenerator)

      Add a generator to produce the recipient info required.
      Parameters:
        `recipientGenerator` - a generator of a recipient info object.